<?php get_header(); ?>
<div class="column_center">
    <div class="indent_center">
    	<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
        <?php /* If this is a category archive */ if (is_category()) { ?>				
            <h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
            
            <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
            <h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
            
         <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
            <h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
        
            <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
            <h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
            
            <?php /* If this is a search */ } elseif (is_search()) { ?>
            <h2 class="pagetitle">Search Results</h2>
            
            <?php /* If this is an author archive */ } elseif (is_author()) { ?>
            <h2 class="pagetitle">Author Archive</h2>
        
            <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
            <h2 class="pagetitle">Blog Archives</h2>
        
            <?php } ?>
            <div class="navigation">
                <div class="left"><?php next_posts_link('&laquo; Previous Entries') ?></div>
                <div class="right"><?php previous_posts_link('Next Entries &raquo;') ?></div>
                <div class="clear"></div>
            </div>
        <?php while (have_posts()) : the_post(); ?><br />
        <div class="title">
            <h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
            <div class="in10"></div>
            <div class="date"><span>Author: <?php the_author(); ?></span> <?php tm_date('');?></div>
        </div>
        <div class="text_box">
			<?php the_content('Read the rest of this entry &raquo;'); ?>
        </div>
        <div class="comments">
            <a href="<?php comments_link(); ?>">read comments </a>&nbsp;(<?php comments_number('0', '1', '%', 'number'); ?>)
        </div>
		<?php endwhile; ?>
          <!--end content-->
          <!--start vavigation-->
            <div class="navigation">
                <div class="left"><?php next_posts_link('&laquo; Previous Entries') ?></div>
                <div class="right"><?php previous_posts_link('Next Entries &raquo;') ?></div>
                <div class="clear"></div>
            </div>						
          <!--end navigation-->
        <?php else : ?>
          <div class="text_box" style="padding-bottom:20px;">
                <h3 id="respond">Not Found</h3>																			
                <p>Sorry, but you are looking for something that isn't here.</p>
                <div id="search">
                    <?php include (TEMPLATEPATH . "/searchform.php"); ?>
            </div>
          </div>
          
           <?php endif; ?>
    </div>
</div>
<?php get_sidebar(); ?>  
<?php get_footer(); ?>

